hoichess(6)

NAME
hoichess - xboard compatible chess engine

hoixiangqi - xiangqi engine

SYNOPSIS
hoichess [options]

hoixiangqi [options]

DESCRIPTION
hoichess is a chess playing program. It implements major parts of the xboard/winboard chess engine protocol.

hoichess uses many of the standard techniques found in modern chess programs, like rotated bitboards, principal variation search, quiescence search, transposition table and iterative deepening.

See xboard(6) for instructions about how to use hoichess through xboard. To start up quickly, you just need the command: xboard -fcp hoichess.

hoixiangqi is a xiangqi ("Chinese chess") playing program. Recent versions of xboard also support xiangqi: xboard -fcp hoixiangqi.

hoichess and hoixiangqi are built from the same code base, so nearly all commands and options, as well as the text based user interface, are the same for both programs.

If run hoichess or hoixiangqi at the command line, the help command gives you a brief summary of available commands.

At program start, a default startup file is read. This file is called hoichess.rc or hoixiangqi.rc, respectively. It is searched for in the following directories, in order: current directory, $HOME/.hoichess, $USERPROFILE/.hoichess (only on Windows), DATADIR. Only the first found file is read. The DATADIR is installation dependent, commonly /usr/share/games/hoichess.

OPTIONS

-h, --help
    Display usage information.

-V, --version
    Display version information.

-v, --verbose[=n]
    Increase verbosity. Multiple -v options may be given. --verbose=n sets verbosity level n.

-d, --debug[=n]
    Increase debug level. Multiple -d options may be given. --debug=n sets debug level n.

-x, --xboard[=arg]
    Start in xboard compatible mode. This turns off the input prompt and alters the output format to meet the requirements of the xboard protocol. Normally, this option should not be necessary because hoichess automatically detects when it is started under xboard.

    The optional argument can be one of:

    off Force non-xboard mode.

    on  Force xboard mode.

--source filename
    Before accepting input from stdin, first read commands (and probably moves) from filename. Can be given multiple times.

--initcmd command
    Execute command at startup. The command is executed before reading script files given by the --source option. Can be given multiple times.

--norc
    Do not read default startup file hoichess.rc or hoixiangqi.rc.

--color arg
    Control usage of ANSI color control sequences, e.g. when displaying the chess board.

    arg can be one of:

    off Never use ANSI color sequences.

    on  Always use ANSI color sequences.

    auto
        Automatically use ANSI color sequences when stdout is a terminal.

    On Unix platforms, the default is auto. On Windows platforms, the default is off, because the Windows terminal is normally not ANSI capable.

SEE ALSO
http://www.hoicher.de/hoichess

xboard(6)

AUTHOR
hoichess was written by Holger Ruckdeschel <holger@hoicher.de>.

This manual page was generated with pod2man(1).